Subject: Re: MPC512x DMA to PCI dev

From: Matteo Fortini <[email-masked]>
Date: Thu, 12 Mar 2009 11:51:25 +0100

Ok,
I answer to myself, to whomever it may interest: the DMA controller to 
use is the PCI_DMA controller, and not the generic DMA controller.

Right now, I'm trying to figure out if there's a generic PCI API I can 
extend to talk to the PCI DMA controller.

Matteo Fortini ha scritto:
> Hi all,
> I'm trying to send some data through DMA from a memory buffer to a PCI 
> video card VRAM.
>
> While I got that I need to alloc the src buffer through 
> dma_alloc_coherent, I don't understand which address I should give as 
> the dst address.
>
> I tried both the mapped hw address and an address received from 
> pci_map_single, but even if the DMA transfer completes "correctly", I 
> have the wrong data in the VRAM in the end.
>
> I read about all the PCI DMA manuals, but it seems they are for letting 
> some external DMA device on the PCI bus read/write from/to the main memory.
>
> How do you do that?
>
> Thanks,
> Matteo
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev
>
>